<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionBlurbBlockCreateBlurbBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'icon'        => [
            'en'   => [
                'name' => 'Icon',
            ],
            'type' => 'anomaly.field_type.file',
        ],
        'title'       => [
            'en'   => [
                'name' => 'Title',
            ],
            'type' => 'anomaly.field_type.text',
        ],
        'copy'        => [
            'en'     => [
                'name' => 'Copy',
            ],
            'type'   => 'anomaly.field_type.wysiwyg',
            'config' => [
                'configuration' => 'basic',
            ],
        ],
        'button_url'  => [
            'en'   => [
                'name' => 'Button URL',
            ],
            'type' => 'anomaly.field_type.url',
        ],
        'button_text' => [
            'en'   => [
                'name'        => 'Button Text',
                'placeholder' => 'Learn More',
            ],
            'type' => 'anomaly.field_type.text',
        ],
        'blurbs'      => [
            'en'     => [
                'name' => 'Blurbs',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'add_row' => 'Add Blurb',
                'related' => 'blurb_block.blurbs',
            ],
        ],
    ];

}
