<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionBlurbBlockCreateBlurbsStream extends Migration
{

    /**
     * This migration creates the stream.
     * It should be deleted on rollback.
     *
     * @var bool
     */
    protected $delete = true;

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'blurbs',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'icon',
        'title',
        'copy' => [
            'required' => true,
        ],
        'button_url',
        'button_text',
    ];

}
